using System;
using System.Net.NetworkInformation;

internal sealed class Delegate317 : MulticastDelegate
{
	public extern IPInterfaceProperties Invoke(object object_0);

	public static IPInterfaceProperties smethod_0(object object_0, Delegate317 delegate317_1)
	{
		return delegate317_1(object_0);
	}

	public extern Delegate317(object object_0, IntPtr intptr_0);

	static Delegate317()
	{
		Class10.smethod_13(typeof(Delegate317).TypeHandle);
	}

	internal static Delegate317 delegate317_0;
}
